Change log for clisp package in Ubuntu

147 of 47 results
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
clisp (1:2.49.20180218+really2.49.92-3build1) disco; urgency=medium

  * Rebuild against new libgdbm6.

 -- Gianfranco Costamagna <email address hidden>  Sat, 03 Nov 2018 15:01:24 +0100
Superseded in cosmic-release on 2018-05-07
Deleted in cosmic-proposed on 2018-05-08 (Reason: moved to release)
clisp (1:2.49.20170913-4build2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 15:19:00 +0000
Deleted in disco-release (Reason: failing revdep tests on armhf,i386 post-rebuild, and sbcl...)
Published in cosmic-release on 2018-05-07
Deleted in cosmic-proposed (Reason: moved to release)
clisp (1:2.49.20180218+really2.49.92-3) unstable; urgency=medium

  * socket-test.patch: new patch, fixes FTBFS on mips*, sparc64 and hurd-i386.

 -- Sébastien Villemot <email address hidden>  Sat, 14 Apr 2018 17:43:40 +0200
Superseded in cosmic-release on 2018-05-04
Published in bionic-release on 2018-02-09
Deleted in bionic-proposed (Reason: moved to release)
clisp (1:2.49.20170913-4build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <email address hidden>  Fri, 02 Feb 2018 15:23:21 +0100
Superseded in bionic-release on 2018-02-09
Deleted in bionic-proposed on 2018-02-11 (Reason: moved to release)
clisp (1:2.49.20170913-4) unstable; urgency=medium

  * Always build with FFI.
    ffcall now builds and passes testsuite on all release architectures and most
    non-release ones. (Closes: #385490)
  * glibc-2.26.patch: new patch, fixes FTBFS against glibc 2.26.
    (Closes: #880686)
  * On mipsel, re-enable -O2 optimization.
    But add -fno-split-wide-types to avoid FTBFS (still need to determine
    whether it is a compiler bug or a wrong assumption of clisp).
  * No longer directly set DEB_HOST_ARCH (use /usr/include/dpkg/architecture.mk)
  * Drop common-lisp-controller (CLC) integration.
  * Drop obsolete preinst script.

 -- Sébastien Villemot <email address hidden>  Mon, 27 Nov 2017 17:09:11 +0100
Superseded in bionic-proposed on 2017-11-28
clisp (1:2.49.20170913-3ubuntu2) bionic; urgency=medium

  * No-change rebuild for ffcall soname change.

 -- Matthias Klose <email address hidden>  Mon, 27 Nov 2017 10:38:48 +0000
Superseded in bionic-release on 2017-11-28
Deleted in bionic-proposed on 2017-11-29 (Reason: moved to release)
clisp (1:2.49.20170913-3ubuntu1) bionic; urgency=medium

  * glibc-2.26.patch: Stop wrapping cfree, which isn't present in glibc-2.26

 -- Adam Conrad <email address hidden>  Fri, 03 Nov 2017 13:11:05 -0600
Superseded in bionic-proposed on 2017-11-03
clisp (1:2.49.20170913-3) unstable; urgency=medium

  * bump-fasl-loader-version.patch: new patch, bumps ABI version.
    Thanks to Agustin Martin (Closes: #877223)
  * Rewrite d/rules using dh.
  * Register manual and impnotes into doc-base.
  * d/watch: use secure URL, bump to format version 4.
  * Install manpages using dh_installman.
  * Make binary packages arch:any (except those requiring FFI).
  * Remove special flags for m68k, alpha and hppa.
  * No longer hardcode version number in d/rules and d/*.install.
  * Remove obsolete Breaks against c-l-c and cl-adsf.
  * Strip extra "clisp" subdir from documentation install path.
  * Add ghostscript to Build-Depends, for PDF documentation.
  * Remove obsolete Pre-Depends on ${xlibs:PreDepends}.
  * Enforce strict versioned dependency of modules on clisp main package.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <email address hidden>  Sat, 21 Oct 2017 09:59:53 +0200

Available diffs

Superseded in bionic-proposed on 2017-11-01
Deleted in artful-proposed on 2017-11-05 (Reason: Moved to bionic-proposed)
clisp (1:2.49.60+-2) unstable; urgency=medium

  * Use '--enable-portability' as per advice of Bruno Haible. 
    this should help with the buildd problems.

 -- Peter Van Eynde <email address hidden>  Fri, 30 Jun 2017 21:07:54 +0200

Available diffs

Deleted in artful-proposed on 2017-10-18 (Reason: NBS)
clisp (1:2.49.60+-1) unstable; urgency=medium

  * New upstream snapshot release.
    - fixes the -perm problem (Closes: #724767)
  * Imported the changes from experimental:
    * Import patch from Flavio Cruz for hurd, thanks! (Closes: #801260)
    * Remove all patches (apart from hurd/webbugs) for now. Will re-add as
      needed
    * Drop wildcard package; dropped upstream 
  * Use the new libsigsegv to build. 

 -- Peter Van Eynde <email address hidden>  Fri, 30 Jun 2017 09:47:30 +0200
Superseded in bionic-release on 2017-11-05
Published in artful-release on 2017-06-15
Deleted in artful-proposed (Reason: moved to release)
Deleted in zesty-proposed (Reason: Moved to artful-proposed)
Deleted in yakkety-proposed (Reason: Moved to zesty-proposed)
Deleted in xenial-proposed (Reason: Moved to yakkety-proposed)
clisp (1:2.49-10build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <email address hidden>  Sun, 07 Feb 2016 12:49:37 +0000
Superseded in xenial-proposed on 2016-02-07
Deleted in wily-proposed on 2016-02-08 (Reason: moved to xenial-proposed)
Deleted in vivid-proposed on 2016-02-08 (Reason: Moved to wily-proposed)
Deleted in utopic-proposed on 2016-02-08 (Reason: moved to vivid-proposed)
clisp (1:2.49-10) unstable; urgency=medium


  * Treat s390x the same way s390 is treated (Closes: #733445)
  * wrap build-depends
  * Remove webbugs as found by lintian
  * Bump standard version

 -- Christoph Egger <email address hidden>  Thu, 05 Jun 2014 13:32:34 +0200
Superseded in artful-release on 2017-06-15
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-04-04
Deleted in trusty-proposed (Reason: moved to release)
clisp (1:2.49-9ubuntu1) trusty; urgency=medium

  * Remove positive build-depends for s390x. Fixes ftbfs. LP: #1264891
 -- Jackson Doak <email address hidden>   Thu, 03 Apr 2014 07:41:26 +1100
Superseded in trusty-proposed on 2014-04-04
clisp (1:2.49-9) unstable; urgency=medium


  * Enable FFI on arm*
  * Import patch from Roland Stigge adding support for powerpcspe
    (Closes: #731648)

 -- Christoph Egger <email address hidden>  Mon, 23 Dec 2013 20:21:22 +0100
Superseded in trusty-release on 2014-04-04
Deleted in trusty-proposed on 2014-04-05 (Reason: moved to release)
clisp (1:2.49-8.2build1) trusty; urgency=low

  * No change rebuild against db 5.3.
 -- Dmitrijs Ledkovs <email address hidden>   Fri, 01 Nov 2013 23:26:46 +0000
Superseded in trusty-release on 2013-11-02
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
clisp (1:2.49-8.2) unstable; urgency=low


  * Non-maintainer upload.
  * Add armhf to architecture lists
  * Build with -marm on armhf  due to thumb incompatible code (specifically 
    code that does not like odd function pointers)
  * apply patch from sourceforce to fix illegal instruction error on newer
    arm hardware caused by arm assembler (thanks to jerry james and tomfor)
    (closes: 684631)
  * Fix build errors with eglibc 2.17 (closes: 701379)

 -- Peter Michael Green <email address hidden>  Tue, 07 May 2013 20:39:13 +0000
Superseded in saucy-release on 2013-05-14
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
clisp (1:2.49-8.1ubuntu1) raring; urgency=low

  * Fixed incorrect preprocessor directive that was causing FTBFS.
  * Applied upstream hg changeset 4cb7fbcb to sync glibc bindings
    with 2.17.
 -- Daniel T Chen <email address hidden>   Tue, 16 Apr 2013 12:26:18 -0400
Superseded in raring-release on 2013-04-16
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2012-03-02
clisp (1:2.49-8.1) unstable; urgency=low


  * Non-maintainer upload.
  * Build depend on libdb-dev instead of libdb4.8-dev. Add new patch to
    reflect the fact that Berkeley DB 5.1 no longer supports RPC.
    (Closes: #621377)

 -- Sébastien Villemot <email address hidden>  Fri, 17 Feb 2012 14:23:49 +0100

Available diffs

Superseded in precise-release on 2012-03-02
Obsolete in oneiric-release on 2015-04-24
clisp (1:2.49-8) unstable; urgency=low
  * Replace dependency on libreadline5-dev with libreadline-gplv2-dev to    follow that sensless rename  * Import path from Robert Millan to support kfreebsd-amd64 as well    (Closes: #633454) -- Christoph Egger <email address hidden>  Wed, 13 Jul 2011 05:21:23 +0200
Superseded in oneiric-release on 2011-07-27
clisp (1:2.49-7) unstable; urgency=low

  * Apply a workaround potentially fixing the s390 problem
  * Output some more info in case the above doesn't work

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
clisp (1:2.48-3) unstable; urgency=medium

  * Re-Add s390 to -doc's architectures, was removed by accident
  * Replace arm by armel in debian/control
  * urgency=medium due to rc bug fix and asdf/clc transition waiting for it
  * Upgrade to source 1.0

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
clisp (1:2.48-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add "Breaks: cl-asdf (<< 2:1.704-1)" (Closes: #579460)

Superseded in maverick-release on 2010-05-18
Obsolete in lucid-release on 2016-10-26
clisp (1:2.44.1-4.1ubuntu3) lucid; urgency=low

  * Build-depend specifically on libdb4.7 to fix FTBFS.
 -- Ilya Barygin <email address hidden>   Wed, 24 Feb 2010 14:16:33 +0300
Superseded in lucid-release on 2010-02-24
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
clisp (1:2.44.1-4.1ubuntu2) jaunty; urgency=low

  * Add lpia to the list of architectures.

 -- James Westby <email address hidden>   Wed, 26 Nov 2008 15:47:52 +0000
Superseded in jaunty-release on 2008-11-26
clisp (1:2.44.1-4.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
     + debian/patches/series renamed patch 03_bdb4.7.patch to 04_bdb4.7.patch
       retained from 1:2.44.1-4ubuntu1 the flags DB_DIRECT_LOG and DB_LOG_AUTOREMOVE
       are obsoleted in bdb 4.7

Superseded in jaunty-release on 2008-11-25
Obsolete in intrepid-release on 2013-02-20
clisp (1:2.44.1-4ubuntu2) intrepid; urgency=low

  * Remove dpatch file left by error in debian/patches (GRRR).

 -- Cesare Tirabassi <email address hidden>   Sun, 10 Aug 2008 21:50:12 +0200
Superseded in intrepid-release on 2008-08-10
clisp (1:2.44.1-4ubuntu1) intrepid; urgency=low

  * Sync from Debian unstable (main).
  * add patch 03_bdb4.7.patch:
    fix FTBFS (LP: #254161)
    the flags DB_DIRECT_LOG and DB_LOG_AUTOREMOVE are obsoleted in bdb 4.7
    http://www.oracle.com/technology/documentation/berkeley-db/db/ref/ \
    upgrade.4.7/log.html

 -- Cesare Tirabassi <email address hidden>   Sun, 10 Aug 2008 21:07:01 +0200

Available diffs

Superseded in intrepid-release on 2008-08-10
clisp (1:2.44.1-1) unstable; urgency=low

  * New bugfix Upstream Version:
    + Add a workaround against a gcc 4.2.x bug [ 1836142 ].
    + Make it work with gcc 4.3 snapshots [ 1836142 ]
      fix Debian FTBFS, thank Sebastian Bober <email address hidden>
      for having discovered it (Closes: #474810).

  * debian/clisp*.install:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/clisp.sh:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.
    - remove xutils from Build-Depends: and clisp-dev Depends:.
    - remove trailing space and line.

  * debian/preinst:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/postrm:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/rules:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove suspicious line.
    - remove trailing spaces.
    - do not try to change permissions for ffcall/configure, since
      GNU libffcall is no more included since version 2.44.
    - do not try to change permissions for libcharset/configure, since
      GNU libffcall is no more included since version 2.43 (its use
      has been replaced by gnulib/localcharset)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  20 Jun 2008 10:24:12 +0100

Available diffs

Superseded in intrepid-release on 2008-06-20
clisp (1:2.44-1) unstable; urgency=low

  * New Upstream Version
    Major changes:
     * CLISP does not come with GNU libffcall anymore.
       This is now a separate package and should be installed separately.
     
     * CLOS now issues warnings of type CLOS:CLOS-WARNING.
       See <http://clisp.cons.org/impnotes/mop-clisp.html#mop-clisp-warn>
       for details.
     
     * Speed up list and sequence functions when :
         TEST is EQ, EQL, EQUAL or EQUALP.
     
     * Rename EXT:DELETE-DIR, EXT:MAKE-DIR, and EXT:RENAME-DIR to
       EXT:DELETE-DIRECTORY, EXT:MAKE-DIRECTORY, and EXT:RENAME-DIRECTORY,
       respectively, for consistency with EXT:PROBE-DIRECTORY,
       EXT:DEFAULT-DIRECTORY and CL:PATHNAME-DIRECTORY.
       The old names are still available, but deprecated.
     
     * The :VERBOSE argument to SAVEINITMEM defaults to a new user variable
       *SAVEINITMEM-VERBOSE*, intial value T.
       See <http://clisp.cons.org/impnotes/image.html> for details.
     
     * Bug fixes:
       + Fix FRESH-LINE at the end of a line containing only TABs. [ 1834193 ]
       + PPRINT-LOGICAL-BLOCK no longer ignores *PRINT-PPRINT-DISPATCH-TABLE*.
         [ 1835520 ]
       + BYTE is now a full-fledged type. [ 1854698 ]
       + Fix linux:dirent definition in the bindings/glibc module. [ 1779490 ]
       + Symbolic links into non-existent directories can now be deleted. 
           [ 1860489 ]
       + DIRECTORY :FULL on directories now returns the same information as
         on files. [ 1860677 ]
       + CLISP no longer hangs at the end of a script coming via a pipe
         ("clisp < script.lisp" or "cat script | clisp"). [ 1865567 ]
       + When *CURRENT-LANGUAGE* is incompatible with *TERMINAL-ENCODING*,
         CLISP no longer goes into an infinite recursion trying to print
         various help messages. [ 1865636 ]
       + Fix the "Quit" debugger command. [ 1448744 ]
       + Repeated terminating signals kill CLISP instantly with the correct
         exit code. [ 1871205 ]
       + Stack inspection is now safer. [ 1506316 ]
       + Errors in the RC-file and init files are now handled properly. 
          [ 1714737 ]
       + Avoid the growth of the restart set with each image save. [ 1877497 ]
       + Handle foreign functions coming from the old image which cannot be
         validated. [ 1407486 ]
       + Fix signal code in bindings/glibc/linux.lisp. [ 1781476 ]

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
clisp (1:2.42-3) unstable; urgency=low

  * Forgot to regenerate configure script. 2.42 for real this time! 

Superseded in hardy-release on 2007-10-28
clisp (1:2.41-2) unstable; urgency=low

  * Fixed XS-Vcs-Bzr item in the control file.
  * Added hurd-i386 support. (Closes: #409827, #409827)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 15:44:31 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
clisp (1:2.41-1) unstable; urgency=low

  * updated XS-Vcs-Svn field
  * New upstream release. Mostly bugfixes and:
    - New module libsvm interface
    - The same internal interface now handles FFI forms DEF-CALL-OUT and
      DEF-C-VAR regardless of the presence of the :LIBRARY argument.

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
clisp (1:2.39-1) unstable; urgency=low

  * Included patch from Thiemo Seufer to re-enable FFI for mips/mipsel.
    Closes: #377722
  * New upstream. Highlights of this new version:
    - SAVEINITMEM now accepts :SCRIPT argument
    - FFI:UINT64 and FFI:SINT64 are now compatible with C's long long type.
    - Stack overflow detection and recovery finally work fine on Unix.
    - It is now possible to specify the default method-combination of a generic
      function,
    - Readline completion works with non 1:1 terminal encodings, e.g. UTF-8.
    - WITH-KEYBOARD works with a Unix tty even when SLIME hijacks *TERMINAL-IO*.
    - New functions: POSIX:FFS, POSIX:PATHCONF.
    - Bug fixes:
      + SOCKET:SOCKET-SERVER :INTERFACE now behaves as documented.
      + EXT:READ-BYTE-NO-HANG and SOCKET:SOCKET-STATUS used to hang on
        buffered binary sockets.
      + Allow DESTRUCTURING-BIND (a . b) with circular and dotted lists.
      + ADJUST-ARRAY of zero length adjustable string now works.
      + TIME now reports correct results when the heap grows over 4GB.
      + RAWSOCK functions now handle :START/:END arguments correctly.
      + BDB:DBC-GET now accepts :READ-COMMITTED and :READ-UNCOMMITTED.
      + POSIX:GROUP-INFO and POSIX:USER-INFO now handle errors correctly.
  * Use CFLAGS as configure now respects this.
  * Fixed clisp.1 manual page, it had '.sp \-1'. 

 -- StefanPotyra <email address hidden>   Mon,  31 Jul 2006 10:53:17 +0100
Superseded in edgy-release on 2006-07-31
clisp (1:2.38-8ubuntu1) edgy; urgency=low

  * Merge newer debian package:
    + use -falign-functions=4 for all arches.

Superseded in edgy-release on 2006-07-05
clisp (1:2.38-7ubuntu1) edgy; urgency=low

  * Merge newer debian version:
    + update debian rules to use -falign-functions=4 on every arch.

Superseded in edgy-release on 2006-07-03
Obsolete in dapper-release on 2011-09-06
clisp (1:2.38-1ubuntu5) dapper; urgency=low

  * Partly take changes from newer debian version (1:2.38-3), thanks
    Peter van Eynde:
    - Use gcc-4.1 for amd64 and ppc. (This will hopefully fix sbcl
      bootstrapping on ppc).
    - Removed build-essential dependency of clisp-dev and replaced it
      with the used packages.

 -- Stefan Potyra <email address hidden>   Fri, 14 Apr 2006 14:18:35 +0200
Superseded in dapper-release on 2006-04-14
clisp (1:2.38-1ubuntu4) dapper; urgency=low

  * Forgot to update the build-depends with last update.

 -- Stefan Potyra <email address hidden>   Tue, 14 Mar 2006 07:56:06 +0100
Superseded in dapper-release on 2006-03-14
clisp (1:2.38-1ubuntu3) dapper; urgency=low

  * Ok. Back to gcc-3.3 on sparc, amd64 and m68k. D'oh.
  * Adding a small patch to debian/rules to substitue the dependency
    on gcc-3.3 on these architectures for clisp-dev (with a variable
    in debian/control).

 -- Stefan Potyra <email address hidden>   Tue, 14 Mar 2006 06:06:04 +0100
Superseded in dapper-release on 2006-03-14
clisp (1:2.38-1ubuntu2) dapper; urgency=low

  * Building with gcc-3.4 on sparc and amd64 (list m68k there as well
    to decrease divergence from Peter's pacakge).

 -- Stefan Potyra <email address hidden>   Tue, 14 Mar 2006 04:54:10 +0100
Superseded in dapper-release on 2006-03-14
clisp (1:2.38-1ubuntu1) dapper; urgency=low

  * UVF-exception granted (Closes: Malone #34668).
  * Add -falign-functions=4 to CFLAGS to fix FTBFS (Closes: Malone #6511).
  * Drop build-dependencies on gcc-3.3.
  * Drop dependency on gcc-3.3 from clisp-dev package.
  * Change Predepends of xlibs to libx11-6 libxext6 libxpm4
    (Closes: Malone #29666, Malone #33179).

Superseded in dapper-release on 2006-03-14
Superseded in dapper-release on 2006-02-03
clisp (1:2.36-3) unstable; urgency=low


  * expanded xlibs-dev build-depends (Closes: #346649)
  * Added ia64 to FFI-less architectures (Closes: #346217)

 -- Peter Van Eynde <email address hidden>  Tue, 17 Jan 2006 14:22:55 +0100
Superseded in dapper-release on 2006-01-31
clisp (1:2.35-9) unstable; urgency=low


  * fixed dependency on common-lisp-controller. Forgot to add
    ${misc:Depends} to the control file!
    Closes: #340250
  * Removed Conflict between clisp and clisp-dev, clisp-doc as to avoid
    sbcl-like build problems.
  * Added suggest for slime.

 -- Peter Van Eynde <email address hidden>  Thu, 24 Nov 2005 07:21:17 +0100
Superseded in dapper-release on 2006-01-31
clisp (1:2.36-2) unstable; urgency=low


  * Add build-depends on xutils,libxt-dev (Closes: #342552)

 -- Peter Van Eynde <email address hidden>  Thu,  8 Dec 2005 21:46:06 +0100
Obsolete in breezy-release on 2008-03-25
clisp (1:2.33.2-10) unstable; urgency=low


  * Build dep on gcc 2.95 on mipsel. 

 -- Will Newton <email address hidden>  Wed, 23 Feb 2005 00:00:19 +0000
Obsolete in breezy-release on 2008-03-25
clisp (1:2.35-2) unstable; urgency=low


  * Fix FTBFS caused by charset encoding of fasl version code. 

 -- Will Newton <email address hidden>  Tue, 13 Sep 2005 19:58:33 +0100
Obsolete in hoary-release on 2008-03-19
clisp (1:2.33.2-7) unstable; urgency=low


  * Fix build so aclocal is not called unnecessarily (Closes: #272670).

 -- Will Newton <email address hidden>  Wed, 22 Sep 2004 23:29:07 +0100
Obsolete in warty-release on 2008-01-09
clisp (1:2.33.2-1) unstable; urgency=low


  * New upstream version.
  * Fix build on alpha (Closes: #253679).

 -- Will Newton <email address hidden>  Wed,  9 Jun 2004 20:15:44 +0100
147 of 47 results